FastCGI module is not listed in the hosting settings

Refers to:

  • Plesk 12.5 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 13:13:52 UTC

Modified:

2016-12-21 20:14:38 UTC

0

Was this article helpful?


Have more questions?

Submit a request

FastCGI module is not listed in the hosting settings

Symptoms

  1. FastCGI module is not listed in the drop down menu in the hosting settings of the Plesk Panel.

    alttext

  2. Unable to create subscription, an attempt fails with:

    Unable to determine preferred php handler

Cause

Missing or corrupted psa-mod_fcgid package.

Resolution

Install mod_fcgi through Tools and Settings > Updates and Upgrades or use the following solution:

  1. In case FastCGI module was installed from the 3rd party repositories

    # rpm -qa | grep mod_fcgid
    mod_fcgid-2.3.9-1.el6.cloudlinux.x86_64

    1.1. Remove it:

    # rpm -e  mod_fcgid --nodeps --justdb --noscript

    1.2. Run autoinstaller, select Plesk hosting features and choose Apache mod_fcgid module to be installed

    # /usr/local/psa/admin/sbin/autoinstaller
  2. In case psa FastCGI module is installed, verify the package:

    # rpm -V psa-mod_fcgid
    missing /usr/lib/httpd/modules/mod_fcgid.so

    If rpm verification failed and the errors are reported (missing file or ther failure reasons) reinstall psa-mod_fcgid .

    2.1. Download psa-mod_fcgid package corresponding to the server OS version and architecture from the http://autoinstall.plesk.com/PSA_11.5.30 ( psa-mod_fcgid is available in /opt/hosting/fcgid/ catalog)

        # cat /etc/issue ; arch
    CentOS release 6.5 (Final)
    Kernel \\r on an \\m

    i686

    # wget http://autoinstall.plesk.com/PSA_11.5.30/dist-rpm-CentOS-6-i386/opt/hosting/fcgid/psa-mod_fcgid-2.3.9-14012811.i386.rpm

    2.2. Reinstall psa-mod_fcgid :

        # rpm -Uvh --force psa-mod_fcgid-2.3.9-14012811.i386.rpm
Have more questions? Submit a request
Please sign in to leave a comment.